| OpenMS 2.5.0

OpenSwathChromatogramExtractor

Extracts chromatograms (XICs) from a file containing spectra.

potential predecessor tools | OpenSwathChromatogramExtractor | potential successor tools
FileFilter | OpenSwathAnalyzer
OpenSwathRTNormalizer

This module extracts ion traces (extracted ion chromatograms or XICs) from a file containing spectra. The masses at which the chromatograms should be extracted are stored in a TraML file and the result is stored in a mzML file holding chromatograms. This tool is designed to extract chromatograms from either SWATH (data independent acquisition) data (see ref[1]) or from MS1 data. For SWATH data it will extract the m/z found in the product ion section of the TraML transitions, returning as many chromatograms as input transitions were provided – while for MS1 data it will extract at the precursor ion m/z.

The input assay library or transition list is provided via the `-tr` flag and needs to be in TraML format. More information about the input filetype can be found in TraML.

The input MS file (MS1 file or DIA / SWATH file) is provided through the `-in` flag. If you are extracting MS1 data, use the `-extract_MS1` flag, otherwise use the `-is_swath` flag. If you are extracting MS1 XIC only, make sure you do not have any MS2 spectra in your input, filter them out using the FileFilter.

For SWATH data, the `-is_swath` flag which will check the precursor isolation window of the first scan and assume all scans in that file were recorded with this precursor window (thus making it necessary to provide one input file per SWATH window). The module will then only extract transitions whose precursors fall into the corresponding isolation window.

By default, the whole RT range is extracted, however the `-rt_window` parameter allows extraction of a subset of the RT range. In case the assay library RT values are not absolute retention times but normalized ones, an optional transformation function can be provided with `-rt_norm` parameter, mapping the normalized RT space to the experimental RT space. See OpenSwathRTNormalizer for further information.

For the extraction method, two convolution functions are available: top-hat and bartlett. While top-hat will just sum up the signal within a quadratic window, bartlett will weigh the signal in the center of the window more than the signal on the edge.

[1] Gillet LC, Navarro P, Tate S, Rost H, Selevsek N, Reiter L, Bonner R, Aebersold R.
Targeted data extraction of the MS/MS spectra generated by data-independent acquisition: a new concept for consistent and accurate proteome analysis.
Mol Cell Proteomics. 2012 Jun;11(6):O111.016717.

The command line parameters of this tool are:

    OpenSwathChromatogramExtractor -- Extract chromatograms (XIC) from a MS2 map file.

    Full documentation: http://www.openms.de/documentation/TOPP_OpenSwathChromatogramExtractor.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      OpenSwathChromatogramExtractor <options>

    Options (mandatory options marked with '*'):

      -in <files>*                   Input files separated by blank (valid formats: 'mzML')

      -tr <file>*                    Transition file ('TraML' or 'csv') (valid formats: 'csv', 'traML')

      -rt_norm <file>                RT normalization file (how to map the RTs of this run to the ones stored in

                                     the library) (valid formats: 'trafoXML')

      -out <file>*                   Output file (valid formats: 'mzML')

      -min_upper_edge_dist <double>  Minimal distance to the edge to still consider a precursor, in Thomson (defa

                                     ult: '0.0')

      -rt_window <double>            Extraction window in RT dimension (-1 means extract over the whole range).

                                     This is the full window size, e.g. a value of 1000 seconds would extract

                                     500 seconds on either side. (default: '-1.0')

      -ion_mobility_window <double>  Extraction window in ion mobility dimension (in milliseconds). This is the

                                     full window size, e.g. a value of 10 milliseconds would extract 5 millisecon

                                     ds on either side. (default: '-1.0')

      -mz_window <double>            Extraction window in m/z dimension (in Thomson, to use ppm see -ppm flag).

                                     This is the full window size, e.g. 100 ppm would extract 50 ppm on either

                                     side. (default: '0.05' min: '0.0')

      -ppm                           M/z extraction_window is in ppm

      -is_swath                      Set this flag if the data is SWATH data

      -extract_MS1                   Extract the MS1 transitions based on the precursor values in the TraML file

                                     (useful for extracting MS1 XIC)

    Common TOPP options:

      -ini <file>                    Use the given TOPP INI file

      -threads <n>                   Sets the number of threads allowed to be used by the TOPP tool (default:

                                     '1')

      -write_ini <file>              Writes the default configuration file

      --help                         Shows options

      --helphelp                     Shows all options (including advanced)

The algorithm parameters for the Analyzer filter are:

Legend:
required parameter
advanced parameter
+OpenSwathChromatogramExtractor Extract chromatograms (XIC) from a MS2 map file.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'OpenSwathChromatogramExtractor'
in[] Input files separated by blank input file*.mzML
tr transition file ('TraML' or 'csv')input file*.csv,*.traML
rt_norm RT normalization file (how to map the RTs of this run to the ones stored in the library)input file*.trafoXML
out output file output file*.mzML
min_upper_edge_dist 0.0 Minimal distance to the edge to still consider a precursor, in Thomson
rt_window-1.0 Extraction window in RT dimension (-1 means extract over the whole range). This is the full window size, e.g. a value of 1000 seconds would extract 500 seconds on either side.
ion_mobility_window-1.0 Extraction window in ion mobility dimension (in milliseconds). This is the full window size, e.g. a value of 10 milliseconds would extract 5 milliseconds on either side.
mz_window 0.05 Extraction window in m/z dimension (in Thomson, to use ppm see -ppm flag). This is the full window size, e.g. 100 ppm would extract 50 ppm on either side.0.0:∞
ppm false m/z extraction_window is in ppm true,false
is_swath false Set this flag if the data is SWATH data true,false
extract_MS1 false Extract the MS1 transitions based on the precursor values in the TraML file (useful for extracting MS1 XIC)true,false
extraction_function tophat Function used to extract the signal tophat,bartlett
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++model Options to control the modeling of retention time transformations from data
type linear Type of model linear,b_spline,interpolated,lowess
symmetric_regression false Only for 'linear' model: Perform linear regression on 'y - x' vs. 'y + x', instead of on 'y' vs. 'x'.true,false